Loading...
Searching...
No Matches
BALL::SimpleDownloaderHelper::DLThread Class Reference

`#include <BALL/SYSTEM/simpleDownloader.h>`

Inheritance diagram for BALL::SimpleDownloaderHelper::DLThread:

## Public Member Functions

| DLThread (const QUrl &url, QByteArray *result, SimpleDownloader *parent)
| DLThread (const QUrl &url, const String &path, SimpleDownloader *parent)
Public Member Functions inherited from BALL::SimpleDownloaderHelper::HelperThread
| HelperThread (const QUrl &url, QByteArray *result, SimpleDownloader *parent)
| HelperThread (const QUrl &url, const String &path, SimpleDownloader *parent)
int | getStatus ()

## Protected Member Functions

virtual QNetworkReply * | getReply_ (QNetworkAccessManager *man)
Protected Member Functions inherited from BALL::SimpleDownloaderHelper::HelperThread
void | run ()

## Additional Inherited Members

Protected Attributes inherited from BALL::SimpleDownloaderHelper::HelperThread
int | err_
QUrl | url_
QByteArray * | result_
String | path_
SimpleDownloader * | parent_

## Detailed Description

Definition at line 171 of file simpleDownloader.h.

## Constructor & Destructor Documentation

## DLThread() [1/2]

BALL::SimpleDownloaderHelper::DLThread::DLThread | ( | const QUrl & | url,
|  | QByteArray * | result,
|  | SimpleDownloader * | parent )

## DLThread() [2/2]

BALL::SimpleDownloaderHelper::DLThread::DLThread | ( | const QUrl & | url,
|  | const String & | path,
|  | SimpleDownloader * | parent )

## Member Function Documentation

## getReply_()

virtual QNetworkReply * BALL::SimpleDownloaderHelper::DLThread::getReply_ | ( | QNetworkAccessManager * | man | ) |

protected virtual

Implements BALL::SimpleDownloaderHelper::HelperThread.